WaMCP
Api referencemessaging

Send Url Button

Send a message with a URL button.

POST
/api/messaging/send-url-button

Send a message with a URL button.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/messaging/send-url-button" \  -H "Content-Type: application/json" \  -d '{    "client_id": "string",    "to": "string",    "body": {      "type": "text",      "text": "string"    },    "button_text": "string",    "url": "string"  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}